Current eBox packages in intrepid don't work at all

Bug #273486 reported by Javier Uruen Val on 2008-09-23
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ebox (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
ebox-usersandgroups (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: ebox

Current eBox packages in Intrepid, both base framework and modules, which have been automatically taken from Hardy, won't work. There have been a few changes in Intrepid that make necessary to upload a new version.

Amongst these changes:

 - The way the authentication is managed, libapache-authcookie-perl doesn't exist anymore in Intrepid. However, the new eBox package (0.12.x) doesn't need it as it uses its own authentication code based in that library. Current version 0.11.99 still depends on it.

- The openLDAP configuration backend has changed. The new upstream version solves this by using this new backend when initialasing slapd. However, the current version in Intrepid uses the old backend so it won't work at all.

- Dansguardian, the new version shipped with Intrepid has a few changes in its configuration files. Again, current version in Intrepid won't work but new upstream version will.

These new packages for Intrepid can be found in [0]:

From my point of view there are two options:

- Ask for a FF Exception after reviewing the packages. Although I don't know if we are too late in the release process.
- Remove the eBox packages from the archive, as the current ones are totally broken due to the new changes.

The latter option is a pity as we have been telling users again and again to use eBox. But, well, that's life.

[0] https://launchpad.net/~ebox/+archive

Adam Sommer (asommer) wrote :

SRU Report

Bug Impact:
ebox-usersandgroups package no longer works due to changes in slapd to use cn=config option. This represents a severe regression from ebox-usersandgroups between Hardy and Intrepid.

Fix in the development branch:
Not yet fixed in Jaunty, but will be soon. The issue is fixed in the eBox PPA: https://launchpad.net/~ebox-unstable/+archive so the problem is fixed upstream.

Minimal Patch:
See debdiff attachment.

Reproducing the Bug:
$ sudo apt-get install ebox-usersandgroups
After installation the necessary eBox LDAP objects are not added, resulting in this error in /var/log/ebox/ebox.log:

2009/01/06 23:19:49 INFO> Manager.pm:528 EBox::ServiceModule::Manager::__ANON__ - File /etc/ldap /slapd.conf does not exist. So we won't compute its digest
2009/01/06 23:19:49 INFO> Module.pm:826 EBox::Module::writeConfFile - Skiping modification of /etc/ldap/slapd.conf

Regression Potential:
I don't believe there will be any regression based on my testing. Also, the patch is intended to fix a regression that results in a non-working package.

If there is any additional information required please let me know.

For the most part, this looks good but I do have a few questions:

 1. Could you please clarify how we can confirm that your patch fixes the problem?
 2. In your debdiff, you don't follow the existing indentation sometimes.
 3. Is it necessary for you to remove attribution comments at the top of tools/slapd.backup?
 4. In the same file, you remove DEFAULTS="/etc/default/slapd" but I see that variable is referenced later in the file. Is this intentional?
 5. In the same file, you seem to blow away an entire function and replace it with a few lines which does not set IFS to EOL like the original script did. Can you confirm that this intended and/or required?

Also, I see that you note that this has not been fixed in Jaunty. Could you please explain why this is the case? Are you just getting a head start on the SRU or are you looking for this SRU to be accepted without the fix first being in Jaunty?

Adam Sommer (asommer) wrote :

Thanks Cody for reviewing my patches.

To answer the question about the Jaunty packages. Yes, I was "just getting a head start on the SRU", the Jaunty packages are being handled by others, and should be updated by the end of the week. Apologies for not following precisely the SRU steps, for future patches I will adhere to the guidelines.

This answer can also be applied to the same question for bugs 314606 and 255368, I can post it there as well if needed?

Regarding question 1 above, to confirm the patch fixes the problem:
- Install ebox-usersandgroups from Intrepid Universe
- Make sure the usersandgroups module is enabled: Login to eBox website > Module Status > check the "users and groups" check box and save.
- Try to create a new user, and receive this error: "An internal error has ocurred. This is most probably a bug, relevant information can be found in the logs." in the site.
- In /var/log/ebox.log there is this error: "ERROR> Ldap.pm:126 EBox::Ldap::ldapCon - Can't create ldapi connection".
- The error is because the ebox-usersandgroups package isn't updated for the new slapd cn=config configuration method, and the updated package does use the new slapd configuration and works as expected.

For question 2, debdiff doesn't follow existing indention, I'm not sure which are, or file, you mean? I double checked with the patch applied using "dpatch-edit-patch 07_ldap_conf_backend.dpatch", and didn't see where the indention was off. I could just be missing the obvious though.

I'm working with upstream to answer your other questions, and should have things sorted out soon.

Thanks again Cody.

Nicolas Valcarcel (nvalcarcel) wrote :

ACK

Javier Uruen Val (juruen) wrote :

This is a new debdiff that addresses the issues brought up by Cody.

2. Indentation is now fixed. The patch came from a source code with different indentation and that's why there were a few lines with tabs instead of spaces.
3. slapd.backup is a whole new code, and that's why the comments are removed. They don't make sense anymore.
4. That part of the code was legacy code that is not used anymore. It's been removed.
5. Same as 4

Robo-Linux (john-homepix) wrote :

Hi Javier,

I have had this issue with not being able to edit existing data in an LDAP address book on
my LDAP server. What is weird is you can add a new email address, but if you try to edit it, it does not save
the changes when you click apply and ok.

Since I upgraded from Hardy to Intrepid, my entire Ubuntu user base cannot use their LDAP
address books correctly. This has been very painful.

I apologize that I do not know how to apply your ebox-usersandgroups.debdiff patch.
Can you please provide a script that will do this, or can you give me simple instructions to implement/use your patch?

Thank you very much in advance.

John

Mathias Gug (mathiaz) wrote :

The userandgroups bug has been fixed in ebox-userandgroups 0.12 uploaded to jaunty.

Changed in ebox:
status: New → Fix Released
Robo-Linux (john-homepix) wrote :

Hi Mathias,

Do you have any simple instructions to make it work in Intrepid please?

Thank you

John

Adam Sommer (asommer) wrote :

Can someone sponsor Javier's debdiff to proposed? It should address the issues Cody mentioned.

Thanks,
Adam

Mathias Gug (mathiaz) wrote :

Sponsored.

I've updated the version number suitable for an SRU in intrepid as documented in https://wiki.ubuntu.com/SecurityUpdateProcedures. I've also modified the targeted distribution to be intrepid-proposed instead of intrepid.

Changed in ebox:
status: New → Fix Committed
Jonathan Riddell (jr) wrote :

Subscribing motu-sru who need to approve this

Martin Pitt (pitti) wrote :

Please clarify status of ebox-usersandgroups fix in Jaunty.

Changed in ebox-usersandgroups:
status: New → In Progress
Martin Pitt (pitti) wrote :

Ah, comment 8 says it's fixed in Jaunty.

Changed in ebox-usersandgroups:
status: In Progress → Fix Released
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted ebox-usersandgroups into intrepid-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Any testers?

Hi Martin,

I switched from Intrepid to Jaunty a month ago
so I can't test it anymore.

John

Martin Pitt wrote:
> Any testers?
>
>

Martin Pitt (pitti) wrote :

There is no proposed change to ebox, so I guess this is an invalid task.

Changed in ebox (Ubuntu Intrepid):
status: Fix Committed → Invalid
Martin Pitt (pitti) wrote :

No feedback after > 200 days, pulling from -proposed.

2009-09-09 10:11:22 INFO Removing candidates:
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid amd64
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid hppa
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid i386
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid ia64
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid lpia
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid powerpc
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid sparc
2009-09-09 10:11:22 INFO Removed-by: Martin Pitt
2009-09-09 10:11:22 INFO Comment: unverified SRU
2009-09-09 10:11:22 INFO 8 packages successfully removed.

Changed in ebox-usersandgroups (Ubuntu Intrepid):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers